From 1413044ac1546ea3c940c1bdaa69083bfa417f98 Mon Sep 17 00:00:00 2001
From: John Naylor <john.naylor@postgresql.org>
Date: Tue, 17 Jan 2023 15:45:39 +0700
Subject: [PATCH v19 4/9] Workaround link errors on Windows CI

For some reason, using bmw_popcount() here leads to
link errors, although bmw_rightmost_one_pos() works
fine.
---
 src/include/lib/radixtree.h | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/src/include/lib/radixtree.h b/src/include/lib/radixtree.h
index 9f8bed09f7..7f928f02d6 100644
--- a/src/include/lib/radixtree.h
+++ b/src/include/lib/radixtree.h
@@ -1863,12 +1863,10 @@ RT_VERIFY_NODE(RT_PTR_LOCAL node)
 				if (NODE_IS_LEAF(node))
 				{
 					RT_NODE_LEAF_256 *n256 = (RT_NODE_LEAF_256 *) node;
-					int			cnt = 0;
-
-					for (int i = 0; i < BM_IDX(RT_NODE_MAX_SLOTS); i++)
-						cnt += bmw_popcount(n256->isset[i]);
+					int			cnt;
 
 					/* Check if the number of used chunk matches */
+					cnt = pg_popcount((const char *) n256->isset, sizeof(n256->isset));
 					Assert(n256->base.n.count == cnt);
 
 					break;
-- 
2.39.0

